
Redmine - Defect #23298

Category select filter-filed is not populated by values

2016-07-11 14:16 - Maxim Krušina

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.3.0

Description

Hi, just found, probably, bug.

When I try to filter issues by specific category, the select box is empty, so I cannot choose desired category.

When I click on + button to turn multiselect on, still no single value.

Please, see attached screenshots.

Other filters works just great.

History

#1 - 2016-07-11 20:15 - Jean-Philippe Lang

Can you check the page source? There is a javascript variable named availableFilters. It's a hash that should have a key named category_id. Do you

have values for it? Eg.:

"category_id":{"type":"list_optional","name":"Category","values":[["Accounts \/ authentication","7"],...

 If this is present, there might be a problem when populating the select (this is done with javascript on the client).

#2 - 2016-07-11 20:16 - Jean-Philippe Lang

- Status changed from New to Needs feedback

#3 - 2016-07-13 09:06 - Maxim Krušina

- Assignee set to Jean-Philippe Lang

Tradaaa, found where is the trouble! I'm sorry for plain alert, it's not exactly bug, but still it be nice to solve it.

I was listing tickets of parent project, so there were listed issued of current project and ALL SUBPROJECTS.

In this view, there are no Categories visible, which are defined in sub-projects.

I think it will be not so easy to solve this, coz each (sub)project have it's own list of category names, and even there can be three categories named

"API" in three different sub-projects, but each category is acutally a different one with it's own ID.

Only sollution which I can imagine now is simillar approach as to versions, so there should be something like "Project name > Category name", but I

guess it will be  bit complicated, for exaple wen saving custom filters, etc.

#4 - 2016-08-09 12:51 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Assignee deleted (Jean-Philippe Lang)

- Priority changed from Urgent to Normal

- Resolution set to Duplicate

Category project dependency is duplicate with #5576 etc.
